// share.js
export default {
	// 发送给朋友，有默认配置项。
	onShareAppMessage() {
		return {
			title: '开邻智教', //分享的标题
			//path: 'pages/index/index', //点击分享链接之后进入的页面路径
			//imageUrl: '/static/logo.png', //分享发送的链接图片地址
			success() {
				// 分享完成，请注意此时不一定是成功分享
				uni.showToast({
					title: "分享成功",
					duration: 3500,
					icon: "success"
				});
			},
			fail() {
				// 分享失败
				uni.showToast({
					title: "分享失败",
					duration: 3500,
					icon: "error"
				});
			}
		};
	},
	// 分享到朋友圈，有默认配置项。
	onShareTimeline() {
		return {
			title: '开邻智教', //分享的标题
			//query: 'pages/index/index', //点击分享链接之后进入的页面路径
			//imageUrl: '/static/logo.png' ,//分享发送的链接图片地址
			success() {
				// 分享完成
				uni.showToast({
					title: "分享成功",
					duration: 3500,
					icon: "success"
				});
			},
			fail() {
				// 分享失败
				uni.showToast({
					title: "分享失败",
					duration: 3500,
					icon: "error"
				});
			}
		}
	},
};